<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CompanyReputationRequirement](./bitburner.companyreputationrequirement.md)

## CompanyReputationRequirement interface

Player must have at least this much reputation with this company.

**Signature:**

```typescript
interface CompanyReputationRequirement 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[company](./bitburner.companyreputationrequirement.company.md)


</td><td>


</td><td>

[CompanyName](./bitburner.companyname.md)


</td><td>


</td></tr>
<tr><td>

[reputation](./bitburner.companyreputationrequirement.reputation.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.companyreputationrequirement.type.md)


</td><td>


</td><td>

"companyReputation"


</td><td>


</td></tr>
</tbody></table>

